Skip to main content
GET
/
v1.0.0
/
vehicles
/
{vehicleId}
/
refresh
Refresh vehicle data
curl --request GET \
  --url https://api.energy-hub.io/v1.0.0/vehicles/{vehicleId}/refresh \
  --header 'X-API-KEY: <api-key>'
{ "isOnline": true, "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9", "staticData": { "lastUpdated": "2023-11-07T05:31:56Z", "vin": "1XKAD29X0KS502460", "model": "Model 3", "name": "My Tesla", "engineType": "BEV", "batteryCapacity": 60.12, "vehicleVariant": "Base" }, "lastUpdated": "2023-11-07T05:31:56Z", "chargeState": { "lastUpdated": "2023-11-07T05:31:56Z", "stateOfCharge": 72.25, "chargingTimeRemaining": 6, "chargeLimitMax": 80.25, "remoteChargingAllowed": true, "estimatedRange": 106, "chargingState": "CHARGING", "chargeRate": 6.512, "chargeLimitMin": 20.25, "chargeCurrentMax": 12, "scheduledDepartureTime": "2023-11-26T05:05:00Z", "isPlugged": true, "scheduledChargingStartTime": "2023-11-26T05:00:00Z" }, "odometer": { "lastUpdated": "2023-11-07T05:31:56Z", "odometer": 12228 }, "location": { "lastUpdated": "2023-11-07T05:31:56Z", "latitude": 50.770774, "longitude": -126.104965 }, "climateState": { "lastUpdated": "2023-11-07T05:31:56Z", "isClimateOn": true, "isBatteryHeaterOn": true, "temperatureCurrent": 18.1, "temperatureTarget": 20.1 } }

Documentation Index

Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

vehicleId
string<uuid>
required

Vehicle ID

Response

Successful operation

Object of vehicle response.

isOnline
boolean
required

Indicates if the vehicle is reachable trough the vendor system.

Example:

true

id
string<uuid>
required

The ID of the vehicle.

userId
string
required

The ID of the user.

Example:

"896f9d5a-b618-48a2-98ae-957059bf1bc9"

staticData
object
required

Object of static data of a vehicle.

lastUpdated
string<date-time>

The timestamp of the last update of any field in the vehicle data.

chargeState
object

Object of charge state data of a vehicle.

odometer
object

Object of odometer data of a vehicle.

location
object

Object of location data of a vehicle.

climateState
object

Object of climate state of a vehicle.